﻿using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Snapshot;
public class AddVolunteerInDto
{
    /// <summary>
    /// 姓名
    /// </summary>
    [Required]
    public string Name { get; set; }

    /// <summary>
    /// 电话
    /// </summary>
    [Required]
    public string PhoneNumber { get; set; }
}

public class VolunteerItemsOutDto
{
    public string Id { get; set; }

    /// <summary>
    /// 姓名
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 电话
    /// </summary>
    public string PhoneNumber { get; set; }
}

/// <summary>
/// 志愿者集合入参
/// </summary>
/// <param name="Name">姓名</param>
/// <param name="PhoneNumber">电话</param>
public record VolunteerItemsInDto(string? Name, string? PhoneNumber): PagedRequest;
